package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.dto.ImGroupResultDto;
import com.yonge.cooleshow.biz.dal.dto.ImGroupSearchDto;
import com.yonge.cooleshow.biz.dal.entity.ImGroup;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 即时通讯群组(ImGroup)表数据库访问层
 *
 * @author zx
 * @since 2022-03-22 10:45:56
 */
public interface ImGroupDao extends BaseMapper<ImGroup> {

    List<ImGroup> findAll(@Param("imGroupDto") ImGroupSearchDto imGroupSearchDto);

    //获取指定用户的群聊列表
    List<ImGroupResultDto> queryTeacherFun(@Param("imGroupDto") ImGroupSearchDto imGroupSearchDto);
}

