package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dto.req.TeacherMusicSheetAuditReq;
import com.yonge.cooleshow.biz.dal.entity.MusicSheetAuthRecord;

/**
 * 曲目审核表 服务类
 * @author liweifan
 * @date 2022-04-02
 */
public interface MusicSheetAuthRecordService extends IService<MusicSheetAuthRecord>  {

    /**
     * 曲目审核
     *
     * @param param 审核信息
     * @param userId 用户id
     * @return boolean
     */
    boolean audit(TeacherMusicSheetAuditReq param, Long userId);
}