package com.yonge.cooleshow.biz.dal.service;

import java.util.List;

import com.yonge.cooleshow.biz.dal.entity.SysUserContracts;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysUserContractsService extends BaseService<Long, SysUserContracts> {

    /**
     * @describe 获取用户指定类型的协议记录
     * @author Joburgess
     * @date 2020.09.18
     * @param userId:
     * @param contractType:
     * @return java.util.List<com.yonge.cooleshow.biz.dal.entity.SysUserContracts>
     */
    List<SysUserContracts> getUserContractWithType(Long userId, SysUserContracts.ContractType contractType, Integer contractVersion);

    /**
     * 获取最近一次的协议
     * @param userId
     * @return
     */
    SysUserContracts getLatestUserContract(Long userId);

}
