package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserAccountRecordVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserAccountRecordSearch;
import com.yonge.cooleshow.biz.dal.entity.UserAccountRecord;

/**
 * 用户账户流水表 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface UserAccountRecordService extends IService<UserAccountRecord>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	UserAccountRecordVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<UserAccountRecordVo> selectPage(IPage<UserAccountRecordVo> page, UserAccountRecordSearch query);
}