package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.dto.search.VideoLessonSearch;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.VideoLessonGroupDetailUpVo;
import com.yonge.cooleshow.biz.dal.vo.VideoLessonGroupDetailVo;
import com.yonge.cooleshow.biz.dal.vo.VideoLessonPurchaseStudent;
import com.yonge.cooleshow.biz.dal.vo.VideoLessonStudentVo;

import java.util.List;

/**
 * VideoLessonGroupDetailService服务类
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
public interface VideoLessonGroupDetailService extends IService<VideoLessonGroupDetail> {
    IPage<VideoLessonGroupDetailVo> selectPage(IPage<VideoLessonGroupDetailVo> page, VideoLessonSearch query);

    IPage<VideoLessonPurchaseStudent> selectPageStudent(IPage<VideoLessonPurchaseStudent> page, VideoLessonSearch query);

    void insertVideoLesson(List<VideoLessonGroupDetail> videoLessonList, SysUser sysUser);

    void updateDetail(VideoLessonGroupDetailUpVo detailUpVo, SysUser sysUser);

    void deleteDetail(Long id);

    VideoLessonStudentVo selectVideoLesson(Long groupId,Long userId);
}