package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.UserAccountRecord;
import com.yonge.cooleshow.biz.dal.vo.UserAccountRecordVo;
import com.yonge.cooleshow.biz.dal.dto.search.UserAccountRecordSearch;
import com.yonge.cooleshow.biz.dal.dao.UserAccountRecordDao;
import com.yonge.cooleshow.biz.dal.service.UserAccountRecordService;


@Service
public class UserAccountRecordServiceImpl extends ServiceImpl<UserAccountRecordDao, UserAccountRecord> implements UserAccountRecordService {

	@Override
    public UserAccountRecordVo detail(Long id) {
        UserAccountRecordVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<UserAccountRecordVo> selectPage(IPage<UserAccountRecordVo> page, UserAccountRecordSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}