package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.UserOrderRefunds;
import com.yonge.cooleshow.biz.dal.vo.UserOrderRefundsVo;
import com.yonge.cooleshow.biz.dal.dto.search.OrderRefundsSearch;
import com.yonge.cooleshow.biz.dal.dao.UserOrderRefundsDao;
import com.yonge.cooleshow.biz.dal.service.UserOrderRefundsService;


@Service
public class UserOrderRefundsServiceImpl extends ServiceImpl<UserOrderRefundsDao, UserOrderRefunds> implements UserOrderRefundsService {

	@Override
    public UserOrderRefundsVo detail(Long id) {
        UserOrderRefundsVo detail = baseMapper.detail(id);
        return detail;
    }
    
     @Override
    public IPage<UserOrderRefundsVo> selectPage(IPage<UserOrderRefundsVo> page, OrderRefundsSearch query){
        return page.setRecords(baseMapper.selectPage(page, query));
    }
	
}