package com.yonge.cooleshow.task.jobs;

import com.yonge.cooleshow.task.core.BaseTask;
import com.yonge.cooleshow.task.core.TaskException;
import com.yonge.cooleshow.task.feign.StudentFeignService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 订单轮询
 * @Author: liweifan
 * @Data: 2022/4/13 17:36
 */
@Service
public class PollingOrderTask extends BaseTask {

    @Autowired
    private StudentFeignService studentFeignService;

    @Override
    public void execute() throws TaskException {
        Object o = studentFeignService.pollingOrder();
    }
}
