package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yonge.cooleshow.biz.dal.queryInfo.SysManualQueryInfo;
import com.yonge.cooleshow.biz.dal.vo.SysManualVo;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.SysManual;

/**
 * (SysManual)表数据库访问层
 *
 * @author makejava
 * @since 2021-12-20 17:22:42
 */
public interface SysManualDao extends BaseMapper<SysManual> {

    int insertBatch(@Param("entities") List<SysManual> entities);

    int findRecordCount(Map<String, Object> params);

    List<SysManual> queryRecord(Map<String, Object> params);

    List<String> listMenuIds();

    /**
     * 分页查询
     *
     * @param page      分页信息
     * @param queryInfo 查询条件
     * @return
     */
    IPage<SysManualVo> query(@Param("page") IPage<SysManualVo> page, @Param("param") SysManualQueryInfo queryInfo);
}

