package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: cy
 * @Date: 2022/4/19
 */
@ApiModel(value = "PracticeTeacherSearch")
public class PracticeTeacherSearch extends QueryInfo {
    @ApiModelProperty(value = "声部id")
    private Integer subjectId;

    @ApiModelProperty(value = "老师名称")
    private String search;

    @ApiModelProperty(value = "排序字段(starGrade,expTime,subjectPrice) 排序规则(升序:ASC 降序:DESC)")
    private String sort;

    @Override
    public String getSort() {
        return sort;
    }

    @Override
    public void setSort(String sort) {
        this.sort = sort;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }
}
