package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.LiveRoomVideoDao;
import com.yonge.cooleshow.biz.dal.entity.LiveRoomVideo;
import com.yonge.cooleshow.biz.dal.entity.RecordNotify;

/**
 * 直播视频记录(LiveRoomVideo)表服务接口
 *
 * @author hgw
 * @since 2022-03-18 15:41:17
 */
public interface LiveRoomVideoService extends IService<LiveRoomVideo> {

    LiveRoomVideoDao getDao();

    void recordSync(RecordNotify recordNotify);
}

