package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.entity.MusicFavorite;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * MusicFavoriteService服务类
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
public interface MusicFavoriteService extends IService<MusicFavorite> {

    /**
     * 获取收藏信息
     *
     * @param userId 学生id
     * @param musicSheetId 专辑id
     * @return list
     */
    List<MusicFavorite> getFavorite(Long userId, Long musicSheetId);
}