package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.entity.MusicSheetPurchaseRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * MusicSheetPurchaseRecordService服务类
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
public interface MusicSheetPurchaseRecordService extends IService<MusicSheetPurchaseRecord> {

    /**
     * 检查是否购买乐谱
     *
     * @param userId 用户id
     * @param musicSheetId 曲目id
     * @return boolean
     */
    MusicSheetPurchaseRecord checkPurchase(Long userId, Long musicSheetId);
}
