package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserOrderRefundsVo;
import com.yonge.cooleshow.biz.dal.dto.search.OrderRefundsSearch;
import com.yonge.cooleshow.biz.dal.entity.UserOrderRefunds;

/**
 * 用户退款表 服务类
 * @author liweifan
 * @date 2022-03-30
 */
public interface UserOrderRefundsService extends IService<UserOrderRefunds>  {

	/**
     * 查询详情
     * @author liweifan
 	 * @date 2022-03-30
     */
	UserOrderRefundsVo detail(Long id);

    /**
     * 分页查询
     * @author liweifan
 	 * @date 2022-03-30
     */
    IPage<UserOrderRefundsVo> selectPage(IPage<UserOrderRefundsVo> page, OrderRefundsSearch query);
}