package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.dto.req.OrderReq;
import com.yonge.cooleshow.biz.dal.entity.VideoLessonPurchaseRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.vo.UserOrderDetailVo;
import com.yonge.cooleshow.biz.dal.vo.res.OrderCreateRes;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

/**
 * VideoLessonPurchaseRecordService服务类
 *
 * @author yzp
 * @version v1.0
 * @date 2022-03-25 23:46:29
 **/
public interface VideoLessonPurchaseRecordService extends IService<VideoLessonPurchaseRecord> {
    HttpResponseResult<OrderCreateRes> buyVideoCourse(OrderReq.OrderReqInfo orderReqInfo);

    void buyVideoCourseSuccess(UserOrderDetailVo orderParam);

    void buyVideoCourseFailed(UserOrderDetailVo orderParam);
}